%global modname fedmsg_meta_fedora_infrastructure

Name:               python-fedmsg-meta-fedora-infrastructure
Version:            0.0.9
Release:            1%{?dist}
Summary:            Metadata providers for Fedora Infrastructure's fedmsg deployment

Group:              Development/Libraries
License:            LGPLv2+
URL:                http://pypi.python.org/pypi/%{modname}
Source0:            http://pypi.python.org/packages/source/f/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch


BuildRequires:      python2-devel
BuildRequires:      fedmsg >= 0.6.1
BuildRequires:      python-nose
BuildRequires:      python-mock

Requires:           fedmsg >= 0.6.1

%if 0%{?rhel} <= 6
BuildRequires:  python-unittest2
BuildRequires:  python-ordereddict
BuildRequires:  python-argparse
Requires:       python-ordereddict
Requires:       python-argparse
%endif

%description
Metadata providers for Fedora Infrastructure's fedmsg deployment

fedmsg <http://fedmsg.com> is a set of tools for knitting together
services and webapps into a realtime messaging net.  This package contains
metadata provider plugins for the primary deployment of that system:
Fedora Infrastructure <http://fedoraproject.org/wiki/Infrastructure>.

If you were to deploy fedmsg at another site, you would like want to write
your own module like this one that could provide textual representations of
your messages.

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%{__python} setup.py test

%files
%doc README.rst LICENSE
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}-%{version}*


%changelog
* Fri Feb 01 2013 Ralph Bean <rbean@redhat.com> - 0.0.9-1
- Support usernames and links for koji messages.
- Support new and old-style fas message bodies.

* Thu Jan 31 2013 Ralph Bean <rbean@redhat.com> - 0.0.8-1
- Latest upstream.  New planet and buildsys (koji) message types.

* Mon Jan 21 2013 Ralph Bean <rbean@redhat.com> - 0.0.7-1
- Latest upstream, yet more changes to git/scm messages.

* Sat Jan 19 2013 Ralph Bean <rbean@redhat.com> - 0.0.6-1
- Latest upstream, more changes to git/scm messages.

* Wed Jan 16 2013 Ralph Bean <rbean@redhat.com> - 0.0.5-1
- Latest upstream, changes to git/scm messages.

* Mon Jan 07 2013 Ralph Bean <rbean@redhat.com> - 0.0.4-1
- Latest upstream, now with pkgdb messages.

* Tue Nov 27 2012 Ralph Bean <rbean@redhat.com> - 0.0.3-1
- Initial package for Fedora
